kdsoap-ws-discovery-client 0.2

Public Member Functions | List of all members
WSDiscoveryTargetService Class Reference

## Public Member Functions
| WSDiscoveryTargetService (const QString &endpointReference)
| WSDiscoveryTargetService (const WSDiscoveryTargetService &other)
void | setEndpointReference (const QString &endpointReference)
QString | endpointReference () const
QList< KDQName > | typeList () const
void | setTypeList (const QList< KDQName > &typeList)
QList< QUrl > | scopeList () const
void | setScopeList (const QList< QUrl > &scopeList)
QList< QUrl > | xAddrList () const
void | setXAddrList (const QList< QUrl > &xAddrList)
QDateTime | lastSeen () const
void | setLastSeen (const QDateTime &lastSeen)
void | updateLastSeen ()
bool | isMatchingType (const KDQName &matchingType) const
bool | isMatchingScope (const QUrl &matchingScope) const

The documentation for this class was generated from the following file:

- src/wsdiscoverytargetservice.h